/******************************************************************************************

AdoptServiceRequest.java

The purpose of this servlet is to process the adoption of a service request for the 
current technician.

   + This servlet is invoked by ViewNewServiceRequests.jsp
   + This servlet dispatches to MainPage.jsp
   
******************************************************************************************/

package CTTS;

import java.io.*;
import javax.servlet.*;
import javax.servlet.http.*;
import CTTS.DBI;
import CTTS.Shared;

public class AdoptServiceRequest extends CTTS.Control
{
   protected void doPost(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException
   { 
      HttpSession session = request.getSession(); //Returns the current session associated with this request, or if the request does not have a session, creates one
      CTTS.Shared bean = (CTTS.Shared)session.getAttribute("shared"); // get bean from the session
		/* gets user inputs POSTed from the HttpServletRequest, request */
		String srId = request.getParameter("srId"); 
      adoptServiceRequest(bean, srId); // call the adoptServiceRequest function and pass it the bean and selected service request ID
      
      /* Dispatches to original "Control" servlet */
      this.gotoPage("/MainPage.jsp", request,response); // dispatcher to MainPage.jsp
   }
   
   private void adoptServiceRequest(CTTS.Shared bean, String srId) throws ServletException, IOException
   {
      
      CTTS.DBI dbi = new CTTS.DBI(); // new DBI object to access the database. DBI (Data Base Interface)
      
      try // to connect to the database and adopt a service request
      {
         dbi = new CTTS.DBI(); //creates a new instance of dbi
         if(dbi.connect()) // check that the database is connected
         {
            int empId = bean.getEmpId(); // get the current employee id from the bean
            dbi.adoptServiceRequest(srId, empId); // call the adoptServiceRequest function in the DBI and pass it the service request ID and the current employee ID
         }
      }
      catch(Exception e)
      {
         e.printStackTrace();
         bean.setMessage("Exception caught : " + e);
         bean.setError("The database could not be connected");
      }
      finally
      {
         dbi.close();  //return connection to Tomcat
      }
   }
}
