/******************************************************************************************

ViewNewServiceRequests.java

The purpose of this servlet is to view new service requests or requests that have
been escalated, but not yet adopted (the escalation feature of this page is NYI).

   + This servlet is invoked by MainPage.jsp
   + This servlet dispatches to ViewNewServiceRequests.jsp
   
******************************************************************************************/

package CTTS;

import java.io.*;
import javax.servlet.*;
import javax.servlet.http.*;
import CTTS.DBI;
import CTTS.Shared;

public class ViewNewServiceRequests extends CTTS.Control
{
   protected DBI dbi;
	
	protected void doGet(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException
   {
      HttpSession session = request.getSession(); // returns the current session associated with this request, or if the request does not have a session, creates one
      CTTS.Shared bean = (CTTS.Shared)session.getAttribute("shared"); // get bean from the session
		
		getNewServiceRequests(bean); // call getNewServiceRequests method and pass the bean
      
      gotoPage("/ViewNewServiceRequests.jsp", request, response);  // dispatcher to ViewNewServiceRequests.jsp
   }
      
   private void getNewServiceRequests(CTTS.Shared bean) throws ServletException, IOException
   {
		String [][] newServiceRequests; // create a matrix to hold new service requests
		
      CTTS.DBI dbi = null;
      try
      {
         dbi = new CTTS.DBI();
         if(dbi.connect())
         {
            newServiceRequests = dbi.getNewServiceRequests(); // retrieve new service requests from the DBI
            bean.setNewServiceRequests(newServiceRequests); // store new service requests in the bean
         }
      }
      catch(Exception e)
      {
         e.printStackTrace();
         bean.setMessage("Exception caught : " + e);
         bean.setError("The database could not be connected");
      }    
      finally
      {
         dbi.close();  //return connection to Tomcat
      }  
   }
}
