package CTTS;

import java.io.*;
import javax.servlet.*;
import javax.servlet.http.*;
import CTTS.DBI;
import CTTS.Shared;

public class ViewServiceRequest extends CTTS.Control
{
   protected DBI dbi;
	
	protected void doPost(HttpServletRequest request, HttpServletResponse response) throws ServletException, IOException
   {
      HttpSession session = request.getSession(); // returns the current session associated with this request, or if the request does not have a session, creates one
      CTTS.Shared bean = (CTTS.Shared)session.getAttribute("shared"); // get bean from the session
      
      /* gets only the needed user inputs POSTed from the HttpServletRequest, request */
		String srId = request.getParameter("srId"); 
      
		getServiceRequest(bean, srId); // call getServiceRequest method and pass the bean
      
      gotoPage("/ViewServiceRequest.jsp", request, response); 
   }
      
   /*
    * This specific function will be in charge of gathering the following resources
    * to be displayed in the linked JSP:
    * 
    * 1. Service request details    ("srId","reportDate","status","companyName","equipId","empFirstName","empLastName","problemDescription"})
    * 2. Service work               (swID,workDate,empID,startTime,finishTime,description,srID,equipID)
    * 3. Technicians                (empId {stored in hidden value}, empFirstName {To be displayed in drop down menu}, 
    *                                empLastName {To be displayed in drop down menu})
    *
    */
   private void getServiceRequest(CTTS.Shared bean, String srId) throws ServletException, IOException
   {
      /*  */
		String [] serviceRequest;
		String [][] serviceWork;
      String [][] technicians;
      
      CTTS.DBI dbi = null;
      try
      {
         dbi = new CTTS.DBI();
         if(dbi.connect())
         {
            serviceRequest = dbi.getServiceRequestDetails(srId); // retrieve service request details from the DBI
            
            /* Set values in the bean for a specific service request */
            bean.setSrId(serviceRequest[0]);
            bean.setDateEntered(serviceRequest[1]);
            bean.setStatus(serviceRequest[2]);
            bean.setCompanyName(serviceRequest[3]);
            bean.setEquipId(serviceRequest[4]);
            bean.setRequestor(serviceRequest[5]);
            bean.setProblemDescription(serviceRequest[6]);
            bean.setAssignedTechnicianFirstName(serviceRequest[7]);
            bean.setAssignedTechnicianLastName(serviceRequest[8]);
            bean.setAssignedTechnician(serviceRequest[9]);
            
            technicians = dbi.getTechnicians(); // call the getTechnicians method within the DBI and store the result into the technicians string matrix variable
            bean.setTechnicians(technicians); // call the setTechnicians method within the bean and pass it the technicians string matrix value
            
            serviceWork = dbi.getServiceWorkDetails(srId); // call the getServiceWorkDetails method within the dbi and pass it the service request ID value, store the result into the serviceWork string matrix variable
            bean.setServiceWork(serviceWork); // call the setServiceWork method within the bean and pass it the service work string matrix value
         }
      }
      catch(Exception e)
      {
         e.printStackTrace();
         bean.setMessage("Exception caught : " + e);
         bean.setError("The database could not be connected.");
      }    
      finally
      {
         dbi.close();  //return connection to Tomcat
      }  
   }
}
