<!-- ViewServiceRequest.java and UpdateServiceRequest.java dispatches to this jsp -->
<!DOCTYPE HTML>
<html>
<head>
    <jsp:useBean id="shared" scope="session" class="CTTS.Shared" />
    <title>
        Welcome : <jsp:getProperty name="shared" property="username"/>
    </title>
    <link rel="stylesheet" type="text/css" href="ctts.css">
    <script language="javascript" type="text/javascript" src="datetimepicker.js"></script>
</head>

<body>
    <center>      
        <table>
            <tr>
                <td>			
                    <center><img src="images/ctts_banner.png" class="banner"></center>   
                    <div id="message">
                        <jsp:getProperty name="shared" property="message"/>  <!--retrieves the error message from the shared bean -->
                        <jsp:getProperty name="shared" property="error"/>  <!--retrieves the error data from the shared bean -->
                        <jsp:setProperty name="shared" property="message" value=""/><!-- empty error message from the shared bean -->
                        <jsp:setProperty name="shared" property="error" value=""/> <!-- empty error data from the shared bean -->
                    </div>
                    <!-- Begin display options for the user -->
                    <hr>
                        <a href="ViewMyServiceRequests"><button type="button" style="float:left;">&#8592; Back</button></a>
                        <button type="button" onclick="window.print()" style="float:right;">Print</button>
                        <center><a href="MainPage.jsp"><button type="button" style="margin:auto;">Main Page</button></a></center>
                    <hr>
                    <!-- End of display options for the user -->
                    <!-- Begin display work order details -->
                    <% 
                        String srId = shared.getSrId();
                        if (!srId.isEmpty())
                        {
                            String status = shared.getStatus();
                    %>


                    <form id="UpdateServiceRequest" method="POST" action="UpdateServiceRequest">  
                    <h2>
                        <span style="float:left;">Service Request ID: <span><jsp:getProperty name="shared" property="srId"/></span></span>
                        <span style="float:right;">
                        Status: 
                            <span>
                                <select name="status">
                                    <option <% if (status.equals("Unresolved")) {%>selected<%}%> value="Unresolved">Unresolved</option>
                                    <option <% if (status.equals("On Hold")) {%>selected<%}%> value="On Hold">On Hold</option>
                                    <option <% if (status.equals("Escalated")) {%>selected<%}%> value="Escalated">Escalated</option>
                                    <option <% if (status.equals("Resolved")) {%>selected<%}%> value="Resolved">Resolved</option>
                                </select>
                            </span>
                            <input type="submit" name="Submit" value="Save"/>
                        </span>
                    </h2>
                    <br>
                    <br>
                    <fieldset>
                        <legend>Service Request Details:</legend>
                        Requestor: <span><jsp:getProperty name="shared" property="requestor"/></span>
                        <span style="float:right;">Date Entered: <jsp:getProperty name="shared" property="dateEntered"/></span><br>
                        Company: <span><jsp:getProperty name="shared" property="companyName"/></span>
                        <span style="float:right;">Assigned Technician: 
                        <select name="assignedTechnician">
                                <%
                                    String assignedTechnician = shared.getAssignedTechnician();
                                    String[][] Technicians = shared.getTechnicians();
                                    if (Technicians != null && Technicians.length != 0)
                                    {	
                                        int count=1;
                                        for(String[] T : Technicians)
                                        { 
                                %>
                                        <option <% if (assignedTechnician.equals(T[0])) {%>selected<%}%> value="<%=T[0]%>"><%=T[1]%>&nbsp;<%=T[2]%></option>
                                <%
                                            count++;
                                        }
                                   }
                                %>
                        </select>
                        </span>
                        <br>
                        Equipment ID: <jsp:getProperty name="shared" property="equipId"/> <a href="NIY.html">Install a component</a><br>
                        Problem:<br>
                        <div>
                        <jsp:getProperty name="shared" property="problemDescription"/>
                        </div>
                    </fieldset>
                    <br>
                    <!-- End of work order details -->
                    <!-- Begin add service work -->
                    <div style="float:left;">Start: <input type="Text" id="startTime" name="startTime" maxlength="25" size="25" readonly><a href="javascript:NewCal('startTime','yyyymmdd',true,24)"><img src="images/cal.gif" width="16" height="16" border="0" alt="Pick a date"></a></div>
                    <div style="float:right;">Finish: <input type="Text" id="finishTime" name="finishTime" maxlength="25" size="25" readonly><a href="javascript:NewCal('finishTime','yyyymmdd',true,24)"><img src="images/cal.gif" width="16" height="16" border="0" alt="Pick a date"></a></div>              
                    <br>
                    <br>
                    <center><textarea id="description" name="description" value="" maxlength="200" rows="4" style="width:95%;"></textarea></center>
                    <br>
                    <!-- End of add service work -->
                    <!-- Begin display past service work -->
                    <hr>
                    <center>Past Service Work</center>
                    <hr>
                    <%
                            String[][] ServiceWork = shared.getServiceWork();
                            if (ServiceWork != null && ServiceWork.length != 0)
                            {	
                                int count=1;
                                for(String[] SW : ServiceWork)
                                {

                    %>  

                                    <div class="serviceWork">
                                        <%=SW[3]%>
                                        <br>
                                        <span style="float:right;">Start: <%=SW[1]%></span><br>
                                        Technician: <%=SW[4]%>&nbsp;<%=SW[5]%>
                                        <span style="float:right;">Finish: <%=SW[2]%><br>
                                    </div>
                                    <br>

                    <%
                                count++;
                                } // end for loop
                            }
                    %>
                    <input type="hidden" id="srId" name="srId" value="<jsp:getProperty name="shared" property="srId"/>"/>
                    <input type="hidden" id="originalTechnician" name="originalTechnician" value="<jsp:getProperty name="shared" property="assignedTechnician"/>"/>
                    <input type="hidden" id="originalStatus" name="originalStatus" value="<jsp:getProperty name="shared" property="status"/>"/>
                    </form>
                    <%
                        }
                        else 
                        {
                    %>
                        <p>An error has occured. Please try again. If the issue persists, please contact the system administrator.</p>
                    <%
                        }
                    %>
                        <br>
                    <!-- End of display past service work -->
                </td>
            </tr>
        </table>
    </center>
</body>
</html>
